SCSI_SEQUENTIAL_LUN_(9)

NAME
scsi_sequential_lun_scan - sequentially scan a SCSI target

SYNOPSIS

void scsi_sequential_lun_scan(struct scsi_target * starget, int bflags, int scsi_level, int rescan);

ARGUMENTS

starget
    pointer to target structure to scan

bflags
    black/white list flag for LUN 0

scsi_level
    Which version of the standard does this device adhere to

rescan
    passed to scsi_probe_add_lun

DESCRIPTION

Generally, scan from LUN 1 (LUN 0 is assumed to already have been scanned) to some maximum lun until a LUN is found with no device attached. Use the bflags to figure out any oddities.

Modifies sdevscan->lun.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT